com.holonplatform.vaadin.components

## Interface PropertyViewForm

- All Superinterfaces:
    com.vaadin.server.ClientConnector, com.vaadin.ui.Component, ComposableComponent, com.vaadin.shared.Connector, HasComponent, PropertySetBound, PropertyViewGroup, Serializable, com.vaadin.server.Sizeable, ValueComponent<com.holonplatform.core.property.PropertyBox>, ValueHolder<com.holonplatform.core.property.PropertyBox>

      public interface PropertyViewForm
      extends ComposableComponent, ValueComponent<com.holonplatform.core.property.PropertyBox>, PropertyViewGroup

  A `PropertyViewGroup` component to display the property `ViewComponent`s on a layout, using the `ComposableComponent` composition strategy.

  A `Composer` is used to draw the form UI.

  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PropertyViewForm.PropertyViewFormBuilder<C extends com.vaadin.ui.Component>` `PropertyViewForm` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.ComposableComponent

      `ComposableComponent.Builder<S extends PropertyComponentSource,C extends com.vaadin.ui.Component,B extends ComposableComponent.Builder<S,C,B>>, ComposableComponent.ComponentsWidthMode, ComposableComponent.Composer<C extends com.vaadin.ui.Component,S extends PropertyComponentSource>`

    - ### Nested classes/interfaces inherited from interface com.vaadin.ui.Component

      `com.vaadin.ui.Component.ErrorEvent, com.vaadin.ui.Component.Event, com.vaadin.ui.Component.Focusable, com.vaadin.ui.Component.Listener`

    - ### Nested classes/interfaces inherited from interface com.vaadin.server.ClientConnector

      `com.vaadin.server.ClientConnector.AttachEvent, com.vaadin.server.ClientConnector.AttachListener, com.vaadin.server.ClientConnector.ConnectorErrorEvent, com.vaadin.server.ClientConnector.DetachEvent, com.vaadin.server.ClientConnector.DetachListener`

    - ### Nested classes/interfaces inherited from interface com.vaadin.server.Sizeable

      `com.vaadin.server.Sizeable.Unit`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.PropertyViewGroup

      `PropertyViewGroup.Builder<G extends PropertyViewGroup,B extends PropertyViewGroup.Builder<G,B>>, PropertyViewGroup.PropertyViewGroupBuilder, PropertyViewGroup.ViewComponentPropertyRenderer<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.ValueHolder

      `ValueHolder.MaySupportValueChangeMode, ValueHolder.ValueChangeEvent<V>, ValueHolder.ValueChangeListener<V>`

  - ### Field Summary

    - ### Fields inherited from interface com.vaadin.server.Sizeable

      `SIZE_UNDEFINED, UNITS_CM, UNITS_EM, UNITS_EX, UNITS_INCH, UNITS_MM, UNITS_PERCENTAGE, UNITS_PICAS, UNITS_PIXELS, UNITS_POINTS`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <C extends com.vaadin.ui.Component> PropertyViewForm.PropertyViewFormBuilder<C>` | `builder(C content)` Get a builder to create a `PropertyViewForm`.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.ComposableComponent

      `componentContainerComposer, compose, getComponentsWidthMode, getContent`

    - ### Methods inherited from interface com.vaadin.ui.Component

      `addListener, addStyleName, addStyleNames, attach, getCaption, getDescription, getIcon, getId, getLocale, getParent, getPrimaryStyleName, getStyleName, getUI, isEnabled, isVisible, readDesign, removeListener, removeStyleName, removeStyleNames, setCaption, setEnabled, setIcon, setId, setParent, setPrimaryStyleName, setStyleName, setStyleName, setVisible, writeDesign`

    - ### Methods inherited from interface com.vaadin.server.ClientConnector

      `addAttachListener, addDetachListener, beforeClientResponse, detach, encodeState, getErrorHandler, getExtensions, getRpcManager, getStateType, handleConnectorRequest, isAttached, isConnectorEnabled, markAsDirty, markAsDirtyRecursive, removeAttachListener, removeDetachListener, removeExtension, requestRepaint, requestRepaintAll, retrievePendingRpcCalls, setErrorHandler`

    - ### Methods inherited from interface com.vaadin.shared.Connector

      `getConnectorId`

    - ### Methods inherited from interface com.vaadin.server.Sizeable

      `getHeight, getHeightUnits, getWidth, getWidthUnits, setHeight, setHeight, setHeightUndefined, setSizeFull, setSizeUndefined, setWidth, setWidth, setWidthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.ValueComponent

      `getValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.HasComponent

      `getComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.PropertyViewGroup

      `builder, clear, getValue, getViewComponent, getViewComponents, setValue, stream`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.PropertySetBound

      `getProperties, hasProperty, propertyStream`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.ValueHolder

      `addValueChangeListener, getEmptyValue, getOptionalValue, getValueIfPresent, isEmpty`

- - ### Method Detail

    - #### builder

          static <C extends com.vaadin.ui.Component> PropertyViewForm.PropertyViewFormBuilder<C> builder(C content)

      Get a builder to create a `PropertyViewForm`.
      Type Parameters:
        `C` - Form content component type
      Parameters:
        `content` - Form content, where `ViewComponent`s will be composed by the form `Composer` (not null)
      Returns:
        `PropertyViewForm` builder

Copyright © 2019 The Holon Platform. All rights reserved.